<template>
	<view>
		<status-nav :ifReturn="true" navBarTitle="个人中心" :marginBottom="0"></status-nav>
		<!-- 内容 -->
		<view class="disclaimers" :style="{'min-height':disclaimersHeight}">
			<view class="disclaimers-title">免责条款</view>
			<view class="disclaimers-txt">
				<rich-text :nodes="disclaimers"></rich-text>
			</view>
		</view>
	</view>
</template>

<script>
	import statusNav from '@/components/status-navs/status-nav';
	import {getCartNum,userInfoEv} from '@/jsFile/public-api.js';
	import {mapState} from 'vuex'//引入mapState
	export default {
		components:{
			statusNav
		},
		data() {
			return {
				disclaimersHeight: `calc(100vh - ${uni.getSystemInfoSync().statusBarHeight + 50}px)`,
				disclaimers:'',
				cacheBusinessId:-1, //商户id
			}
		},
		onLoad(op) {
			if(op.business_id){
				this.cacheBusinessId = op.business_id;
			}
		},
		onShow() {
			if(this.cacheBusinessId !== -1){
				this.$requst.post('/api/index/change-business',{business_id:this.cacheBusinessId}).then(res=>{
					if(res.code == 0){
						this.getDisclaimers();
						userInfoEv();
					}
				})
			}else{
				this.getDisclaimers();
				userInfoEv();
			}
		},
		methods: {
			// 查询免责声明
			getDisclaimers(){
				uni.showLoading({
					title: '加载中'
				});
				this.$requst.get('/api/index/statement').then(res=>{
					if(res.code==0){
						this.disclaimers = this.$toolAll.tools.escape2Html(res.data.content);
					} else {
						this.$toolAll.tools.showToast(res.msg);
					}
					uni.hideLoading();
				})
			}
		}
	}
</script>

<style>

</style>
